Package org.springframework.format.datetime.standard

# Class DateTimeFormatterFactoryBean

java.lang.Object
org.springframework.format.datetime.standard.DateTimeFormatterFactory
org.springframework.format.datetime.standard.DateTimeFormatterFactoryBean

All Implemented Interfaces:
  `org.springframework.beans.factory.FactoryBean<DateTimeFormatter>`, `org.springframework.beans.factory.InitializingBean`

public class DateTimeFormatterFactoryBean extends DateTimeFormatterFactory implements org.springframework.beans.factory.FactoryBean<DateTimeFormatter>, org.springframework.beans.factory.InitializingBean
`FactoryBean` that creates a JSR-310 `DateTimeFormatter`. See the `base class` for configuration details.

Since:
  4.0
Author:
  Juergen Hoeller
See Also:
  - `DateTimeFormatterFactory.setPattern(java.lang.String)`
  - `DateTimeFormatterFactory.setIso(org.springframework.format.annotation.DateTimeFormat.ISO)`
  - `DateTimeFormatterFactory.setDateStyle(java.time.format.FormatStyle)`
  - `DateTimeFormatterFactory.setTimeStyle(java.time.format.FormatStyle)`
  - `DateTimeFormatterFactory`

## Field Summary

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`DateTimeFormatterFactoryBean()`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterPropertiesSet()`
`DateTimeFormatter`
`getObject()`
`Class<?>`
`getObjectType()`
`boolean`
`isSingleton()`

### Methods inherited from class org.springframework.format.datetime.standard.DateTimeFormatterFactory

`createDateTimeFormatter, createDateTimeFormatter, setDateStyle, setDateTimeStyle, setIso, setPattern, setStylePattern, setTimeStyle, setTimeZone`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DateTimeFormatterFactoryBean

public DateTimeFormatterFactoryBean()

## Method Details

### afterPropertiesSet

public void afterPropertiesSet()

Specified by:
  `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`

### getObject

@Nullable public DateTimeFormatter getObject()

Specified by:
  `getObject` in interface `org.springframework.beans.factory.FactoryBean<DateTimeFormatter>`

### getObjectType

public Class<?> getObjectType()

Specified by:
  `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<DateTimeFormatter>`

### isSingleton

public boolean isSingleton()

Specified by:
  `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<DateTimeFormatter>`